%define		api		1.0
%define		major		0
%define		libname		%mklibname goa %{api} %{major}
%define		gi_libname	%mklibname goa-gir %{api}
%define		develname	%mklibname -d goa %{api}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gnome-online-accounts
Version:	3.4.1
Release:	%mkrel 1
Summary:	Provide online accounts information
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://developer.gnome.org/goa/stable/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnome-online-accounts-3.2.0-link.patch

BuildRequires:	pkgconfig(gnome-keybindings)
BuildRequires:	glib2-devel
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	libjson-glib-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libnotify-devel
BuildRequires:	rest-devel
BuildRequires:	webkitgtk3-devel

%description
gnome-online-accounts provides interfaces so applications and 
libraries in GNOME can access the user's online accounts.

%package -n %{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Runtime libraries for %{name}.

%package -n %{gi_libname}
Summary:	GObject introspection interface for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig
Requires:	gobject-introspection-devel
Provides:	libgoa-devel = %{version}-%{release}

%description -n %{develname}
The gnome-online-accounts-devel package contains libraries and header
files for developing applications that use gnome-online-accounts.

%prep
%setup -q
%patch1 -p1 -b.link

%build
autoreconf -fi
%configure2_5x --disable-static --enable-gtk-doc
%make

%install
%makeinstall_std
%find_lang %{name}
rm -f %{buildroot}/%{_libdir}/*.la

%files -f %{name}.lang
%doc NEWS COPYING
%{_libexecdir}/goa-daemon
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/icons/hicolor/*/apps/goa-*.png
%{_mandir}/man8/goa-daemon.8.*

%files -n %{libname}
%{_libdir}/libgoa-%{api}.so.%{major}
%{_libdir}/libgoa-%{api}.so.%{major}.*
%{_libdir}/libgoa-backend-%{api}.so.%{major}
%{_libdir}/libgoa-backend-%{api}.so.%{major}.*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Goa-%{api}.typelib

%files -n %{develname}
%{_includedir}/goa-%{api}/
%{_libdir}/libgoa-%{api}.so
%{_libdir}/libgoa-backend-%{api}.so
%{_datadir}/gir-1.0/Goa-%{api}.gir
%{_libdir}/pkgconfig/goa-%{api}.pc
%{_libdir}/pkgconfig/goa-backend-%{api}.pc
%{_datadir}/gtk-doc/html/goa/



%changelog

* Tue Apr 17 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231205
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226735
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92.1-1.mga2
+ Revision: 225191
- new version 3.3.92.1
- new version 3.3.92

* Mon Dec 19 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 184532
- new version 3.3.0

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155935
- new version 3.2.1

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0.1-3.mga2
+ Revision: 149891
- new version 3.2.0.1
- drop launch goa prefs patch (merged upstream)

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-3.mga2
+ Revision: 149744
- add upstream patch to fix a crasher

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149075
- rebuild for new glib

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149020
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 145886
- new version 3.1.91

* Tue Aug 30 2011 dmorgan <dmorgan> 3.1.90-1.mga2
+ Revision: 136790
- Fix sha1.lst file

  + ovitters <ovitters>
    - Update to 3.1.90

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Thu Jul 14 2011 cjw <cjw> 3.1.1-2.mga2
+ Revision: 124256
- fix group

* Tue Jul 05 2011 cjw <cjw> 3.1.1-1.mga2
+ Revision: 118968
- imported package gnome-online-accounts


* Tue Jun 14 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-3
- Add more necessary patches

* Tue Jun 14 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-2
- Update with review comments from Peter Robinson

* Mon Jun 13 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-1
- First version

